<template>
  <table style="position: relative">
    <transition-group name="list" tag="tbody">
      <tr v-for="message in messages" :key="message.title">
        <td>
          <span>{{ message.id }}</span>
        </td>
        <td>
          <span>{{ message.title }}</span>
        </td>
      </tr>
    </transition-group>

    <button
      :disabled="isEmpty"
      :class="{ btnDisabled: isEmpty }"
      @click="loadMore"
      class="btn btnPrimary"
    >
      Load more ..
    </button>
  </table>
</template>

<script>
import { loadMessages, isEmptyFilteredMessages } from "@/js/message";
export default {
  props: {
    messages: {
      type: Array,
      required: true,
    },
  },
  computed: {
    isEmpty: () => isEmptyFilteredMessages(),
  },
  methods: {
    loadMore: () => loadMessages(),
  },
};
</script>

<style lang="scss" scoped>
table {
  text-align: center;
}
td {
  // display: flex;
  // justify-content: space-between;
  padding: 12px 6px;
  font-size: 14px;
}

/* Animation */
.list-item {
  display: inline-block;
  margin-right: 10px;
}
.list-enter-active,
.list-leave-active {
  transition: all 1s;
}
.list-enter, .list-leave-to /* .list-leave-active до версии 2.1.8 */ {
  opacity: 0;
  transform: translateY(30px);
}

button {
  margin-top: 20px;
  &.btnDisabled {
    cursor: default;
    opacity: 0.6;
  }
}
thead {
  display: block;
}
tbody {
  display: block;
  overflow-y: scroll;
  max-height: 60vh;
}
</style>
